#include "testlib.h"

using namespace std;

int main(){
	registerValidation();
	int n = inf.readInt(1, 100000, "n");
	inf.readSpace();
	int m = inf.readInt(1, 13, "m");
	inf.readEoln();
	for (int i = 0; i < n; ++i) {
		for (int j = 0; j < m; ++j) {
			inf.readInt(-1000000000, 1000000000);
			if (j + 1 < m) inf.readSpace();
		}
		inf.readEoln();
    }
	inf.readEof();
    return 0;
}